Page MenuHomePhabricator

SVG element missing when image is downsized
Closed, DuplicatePublic

Description

Author: portlandbob

Description:
When the svg image is requested at a size less than 205 pixels the highlight on
the button disappears.


Version: unspecified
Severity: normal
URL: http://commons.wikimedia.org/wiki/Image_talk:Information.svg

Details

Reference
bz9110

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:39 PM
bzimport set Reference to bz9110.
bzimport added a subscriber: Unknown Object (MLST).

What highlight?

portlandbob wrote:

That image got corrected, however there are a number of images that have issues. I've done some digging since then and it seems to be a known issue. It is all related to rsvg. If you use firefox to view the svg they look correct, but on the wikipedia they have issues with z-order. Here are some other examples:
http://commons.wikimedia.org/wiki/Image:Evolution-tasks-old.svg
http://commons.wikimedia.org/w/index.php?title=Image:Crystal_Clear_app_fonts.svg
http://commons.wikimedia.org/wiki/Image:Nuvola_apps_package_graphics.svg

I've added descriptions on the discussion pages.

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 9:51 PM

Issue still real after the latest svg update on the servers.

brion added a comment.Dec 4 2011, 10:32 PM

I don't see the issue at https://commons.wikimedia.org/wiki/File_talk:Information.svg -- both the 204 and 205px images look the same to me (with highlight).

Can you confirm after forcing reload of the thumbnails?

brion added a comment.Dec 4 2011, 10:36 PM

Only one of the examples above triggers a 'part of the image doesn't show at some resolutions' that I can see:

https://commons.wikimedia.org/wiki/File:Evolution-tasks-old.svg

Original SVG:
https://upload.wikimedia.org/wikipedia/commons/a/a0/Evolution-tasks-old.svg

At or below 173px wide, the pencil does not have a shadow in rsvg rendering:
https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Evolution-tasks-old.svg/173px-Evolution-tasks-old.svg.png

At or above 174px wide, the pencil's shadow does display:
https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Evolution-tasks-old.svg/174px-Evolution-tasks-old.svg.png

TheDJ added a comment.Dec 4 2011, 10:41 PM

https://commons.wikimedia.org/wiki/File_talk:Information.svg

The image there are the current versions, not the originals. We seem to have several of these bugs where when a component is rendered 'too small' or 'too large', the component seems to disappear all together.

This bug seems fixed now.

TheDJ moved this task from Backlog to Reported Upstream on the Upstream board.Mar 4 2015, 9:53 PM